net.sourceforge.pmd.ast

## Class ClassDeclTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.ClassDeclTest

    public class ClassDeclTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`ClassDeclTest()`

### Method Summary

Methods
`ASTClassOrInterfaceDeclaration` `getClassDecl(String[] access)`
`static junit.framework.Test` `suite()`
`void` `testAbstract()`
`void` `testFinal()`
`void` `testPublic()`
`void` `testPublicFinal()`
`void` `testStrict()`
`void` `verifyFlags(ASTClassOrInterfaceDeclaration acd, boolean bPublic, boolean bAbstract, boolean bFinal, boolean bStrict)`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassDeclTest

    public ClassDeclTest()

### Method Detail

#### testPublic

    public void testPublic()
                    throws Throwable

Throws:
  `Throwable`

#### testAbstract

    public void testAbstract()
                      throws Throwable

Throws:
  `Throwable`

#### testFinal

    public void testFinal()
                   throws Throwable

Throws:
  `Throwable`

#### testStrict

    public void testStrict()
                    throws Throwable

Throws:
  `Throwable`

#### testPublicFinal

    public void testPublicFinal()
                         throws Throwable

Throws:
  `Throwable`

#### verifyFlags

    public void verifyFlags(ASTClassOrInterfaceDeclaration acd,
                   boolean bPublic,
                   boolean bAbstract,
                   boolean bFinal,
                   boolean bStrict)

#### getClassDecl

    public ASTClassOrInterfaceDeclaration getClassDecl(String[] access)
                                                throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()